[GET] "/metrics")

2022-01-02 20:39 - Awais Afzal

Status: Closed Start date:  
Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After we bring up the image the application comes up fine however we start to see the following error on the logs:

The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for

. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswi

n32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32

 x86-mswin32`.

The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundle

r is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To 

add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-msw

in32`.

The Gemfile's dependencies are satisfied

=============== Phusion Passenger(R) Standalone web server started ===============

PID file: /usr/src/redmine/tmp/pids/server.pid

Log file: /usr/src/redmine/log/passenger.3000.log

Environment: production

Accessible via: http://0.0.0.0:3000/

You can stop Phusion Passenger(R) Standalone by pressing Ctrl-C.

Problems? Check https://www.phusionpassenger.com/library/admin/standalone/troubleshooting/

===============================================================================

[ N 2022-01-02 14:10:54.4067 39/T5 age/Cor/SecurityUpdateChecker.h:519 ]: Security update check: n

o update found (next check in 24 hours)

App 132 output: W, [2022-01-02T14:10:55.692906 #132]  WARN -- : Creating scope :system. Overwritin

g existing method Enumeration.system.

App 132 output: W, [2022-01-02T14:10:55.956484 #132]  WARN -- : Creating scope :sorted. Overwritin

g existing method Group.sorted.

App 132 output: W, [2022-01-02T14:10:55.974664 #132]  WARN -- : Creating scope :sorted. Overwritin

g existing method User.sorted.

App 169 output: I, [2022-01-02T14:10:56.553785 #169]  INFO -- : Started HEAD "/" for 127.0.0.1 at 

2022-01-02 14:10:56 +0000

App 169 output: I, [2022-01-02T14:10:56.557479 #169]  INFO -- : Processing by WelcomeController#in

dex as HTML

App 169 output: I, [2022-01-02T14:10:56.652225 #169]  INFO -- :   Current user: anonymous

App 169 output: I, [2022-01-02T14:10:57.573597 #169]  INFO -- :   Rendering welcome/index.html.erb

 within layouts/base

App 169 output: I, [2022-01-02T14:10:57.579528 #169]  INFO -- :   Rendered welcome/index.html.erb 

within layouts/base (5.8ms)

App 169 output: I, [2022-01-02T14:10:57.606815 #169]  INFO -- : Completed 200 OK in 1049ms (Views:

 28.5ms | ActiveRecord: 32.6ms)

App 169 output: I, [2022-01-02T14:11:00.141019 #169]  INFO -- : Started GET "/metrics" for 127.0.0

.1 at 2022-01-02 14:11:00 +0000

App 169 output: F, [2022-01-02T14:11:00.141877 #169] FATAL -- :   

App 169 output: F, [2022-01-02T14:11:00.141909 #169] FATAL -- : ActionController::RoutingError (No

 route matches [GET] "/metrics"):

App 169 output: F, [2022-01-02T14:11:00.141923 #169] FATAL -- :   

App 169 output: F, [2022-01-02T14:11:00.141942 #169] FATAL -- : actionpack (5.2.6) lib/action_disp

atch/middleware/debug_exceptions.rb:65:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'
App 169 output: railties (5.2.6) lib/rails/rack/logger.rb:38:in `call_app'

App 169 output: railties (5.2.6) lib/rails/rack/logger.rb:28:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/remote_ip.rb:81:in `call'

App 169 output: request_store (1.5.0) lib/request_store/middleware.rb:19:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/request_id.rb:27:in `call'

App 169 output: rack (2.2.3) lib/rack/method_override.rb:24:in `call'

App 169 output: rack (2.2.3) lib/rack/runtime.rb:22:in `call'

App 169 output: activesupport (5.2.6) lib/active_support/cache/strategy/local_cache_middleware.rb:

29:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/executor.rb:14:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/static.rb:127:in `call'

App 169 output: rack (2.2.3) lib/rack/sendfile.rb:110:in `call'

App 169 output: rack (2.2.3) lib/rack/content_length.rb:17:in `call'

App 169 output: railties (5.2.6) lib/rails/engine.rb:524:in `call'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/rack/thread_handler_exten

sion.rb:107:in `process_request'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler/thread_ha

ndler.rb:149:in `accept_and_process_next_request'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler/thread_ha

ndler.rb:110:in `main_loop'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler.rb:419:in

 `block (3 levels) in start_threads'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/utils.rb:113:in `block in

 create_thread_and_abort_on_exception'

App 169 output: I, [2022-01-02T14:11:20.137430 #169]  INFO -- : Started GET "/metrics" for 127.0.0

.1 at 2022-01-02 14:11:20 +0000

App 169 output: F, [2022-01-02T14:11:20.137996 #169] FATAL -- :   

App 169 output: F, [2022-01-02T14:11:20.138023 #169] FATAL -- : ActionController::RoutingError (No

 route matches [GET] "/metrics"):

App 169 output: F, [2022-01-02T14:11:20.138037 #169] FATAL -- :   

App 169 output: F, [2022-01-02T14:11:20.138054 #169] FATAL -- : actionpack (5.2.6) lib/action_disp

atch/middleware/debug_exceptions.rb:65:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'

App 169 output: railties (5.2.6) lib/rails/rack/logger.rb:38:in `call_app'

App 169 output: railties (5.2.6) lib/rails/rack/logger.rb:28:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/remote_ip.rb:81:in `call'

App 169 output: request_store (1.5.0) lib/request_store/middleware.rb:19:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/request_id.rb:27:in `call'

App 169 output: rack (2.2.3) lib/rack/method_override.rb:24:in `call'

App 169 output: rack (2.2.3) lib/rack/runtime.rb:22:in `call'

App 169 output: activesupport (5.2.6) lib/active_support/cache/strategy/local_cache_middleware.rb:

29:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/executor.rb:14:in `call'

App 169 output: actionpack (5.2.6) lib/action_dispatch/middleware/static.rb:127:in `call'

App 169 output: rack (2.2.3) lib/rack/sendfile.rb:110:in `call'

App 169 output: rack (2.2.3) lib/rack/content_length.rb:17:in `call'

App 169 output: railties (5.2.6) lib/rails/engine.rb:524:in `call'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/rack/thread_handler_exten

sion.rb:107:in `process_request'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler/thread_ha

ndler.rb:149:in `accept_and_process_next_request'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler/thread_ha

ndler.rb:110:in `main_loop'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/request_handler.rb:419:in

 `block (3 levels) in start_threads'

App 169 output: passenger (6.0.12) src/ruby_supportlib/phusion_passenger/utils.rb:113:in `block in

 create_thread_and_abort_on_exception'

App 169 output: I, [2022-01-02T14:11:40.137094 #169]  INFO -- : Started GET "/metrics" for 127.0.0

.1 at 2022-01-02 14:11:40 +0000

App 169 output: F, [2022-01-02T14:11:40.137666 #169] FATAL -- :   

App 169 output: F, [2022-01-02T14:11:40.137693 #169] FATAL -- : ActionController::RoutingError (No

 route matches [GET] "/metrics"):

 the stack trace keeps printing repetitively.

History
#1 - 2022-01-03 01:14 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

There is no "/metrics" path in Redmine, so it is natural to get an error when you access /metrics. I think something on your Redmine server is

accessing /metrics and it is not a problem of Redmine. Please check the configuration of your server.

Please use forums for questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request help may

be helpful for you.
